Debian Bug report logs - #476484
manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>

Date: Wed, 16 Apr 2008 23:36:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.79-2

Fixed in version manpages/2.80-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#476484; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process
Date: Thu, 17 Apr 2008 00:26:57 +0100
Package: manpages-dev
Version: 2.79-2
Severity: normal

The manpage for raise, incorrectly describes it as sending a signal to the current process;
infact it sends the signal to the calling thread. Therefore the statement that  raise(sig) is
equivalent to kill(getpid(), sig) is false.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-teb8 (PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      2.79-2     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#476484; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Joey Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 476484@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>, 476484@bugs.debian.org
Subject: Re: Bug#476484: manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process
Date: Thu, 17 Apr 2008 10:55:47 +0200
Timothy Baldwin wrote:
> Package: manpages-dev
> Version: 2.79-2
> Severity: normal
> 
> The manpage for raise, incorrectly describes it as sending a signal to the current process;
> infact it sends the signal to the calling thread. Therefore the statement that  raise(sig) is
> equivalent to kill(getpid(), sig) is false.

Do you have a proof for this claim?

Regards,

	Joey

-- 
Let's call it an accidental feature.  -- Larry Wall

Please always Cc to me when replying to me on the lists.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#476484; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to tim@majoroak.f2s.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 476484@bugs.debian.org (full text, mbox):

From: tim@majoroak.f2s.com
To: Joey Schulze <joey@infodrom.org>
Cc: Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>, 476484@bugs.debian.org
Subject: Re: Bug#476484: manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process
Date: Thu, 17 Apr 2008 11:42:49 +0100
Quoting Joey Schulze <joey@infodrom.org>:

> Timothy Baldwin wrote:
> > Package: manpages-dev
> > Version: 2.79-2
> > Severity: normal
> >
> > The manpage for raise, incorrectly describes it as sending a signal to the
> current process;
> > infact it sends the signal to the calling thread. Therefore the statement
> that  raise(sig) is
> > equivalent to kill(getpid(), sig) is false.
>
> Do you have a proof for this claim?

In terms of specified behaviour, I refer you to POSIX:
http://www.opengroup.org/onlinepubs/009695399/functions/raise.html

The Glibc manual is also in error.

In terms of actual behaviour, I have observed this behaviour whilst developing a
program which uses signals inter-thread communication. I am unable to supply a
test case at this moment due to a hardware failure on my Linux system.






Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#476484; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 476484@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>
Cc: 476484@bugs.debian.org
Subject: Re: Bug#476484: manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process
Date: Thu, 17 Apr 2008 12:54:01 +0200
tim@majoroak.f2s.com wrote:
> Quoting Joey Schulze <joey@infodrom.org>:
> 
> > Timothy Baldwin wrote:
> > > Package: manpages-dev
> > > Version: 2.79-2
> > > Severity: normal
> > >
> > > The manpage for raise, incorrectly describes it as sending a signal to the
> > current process;
> > > infact it sends the signal to the calling thread. Therefore the statement
> > that  raise(sig) is
> > > equivalent to kill(getpid(), sig) is false.
> >
> > Do you have a proof for this claim?
> 
> In terms of specified behaviour, I refer you to POSIX:
> http://www.opengroup.org/onlinepubs/009695399/functions/raise.html

I see.

> The Glibc manual is also in error.

Could you file a separate bug report against glibc-doc if you haven't
done so already.

Regards,

	Joey

-- 
Let's call it an accidental feature.  -- Larry Wall

Please always Cc to me when replying to me on the lists.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#476484; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #25 received at 476484@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Joey Schulze" <joey@infodrom.org>, 476484@bugs.debian.org
Cc: "Timothy Baldwin" <T.E.Baldwin99@members.leeds.ac.uk>
Subject: Re: Bug#476484: manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process
Date: Thu, 17 Apr 2008 13:29:16 +0200
On Thu, Apr 17, 2008 at 10:55 AM, Joey Schulze <joey@infodrom.org> wrote:
> Timothy Baldwin wrote:
> > Package: manpages-dev
> > Version: 2.79-2
> > Severity: normal
> >
> > The manpage for raise, incorrectly describes it as sending a signal to the current process;
> > infact it sends the signal to the calling thread. Therefore the statement that  raise(sig) is
> > equivalent to kill(getpid(), sig) is false.
>
> Do you have a proof for this claim?

Timothy is correct here -- I will fix the page.

Thanks!


-- 
Michael Kerrisk
Maintainer of the Linux man-pages project
http://www.kernel.org/doc/man-pages/
Want to report a man-pages bug? Look here:
http://www.kernel.org/doc/man-pages/reporting_bugs.html




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#476484; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #30 received at 476484@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Timothy Baldwin" <T.E.Baldwin99@members.leeds.ac.uk>, 476484@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#476484: manpages-dev: raise(int sig) is incorrectly described as sending signal to the calling process
Date: Thu, 17 Apr 2008 23:57:25 +0200
tags 476484 fixed-upstream
thanks

Timothy -- thanks for your report.  I've added text to the upstream
2.80 release to clarify the details for multithreaded programs.

Cheers,

michael

On Thu, Apr 17, 2008 at 1:26 AM, Timothy Baldwin
<T.E.Baldwin99@members.leeds.ac.uk> wrote:
> Package: manpages-dev
> Version: 2.79-2
> Severity: normal
>
> The manpage for raise, incorrectly describes it as sending a signal to the current process;
> infact it sends the signal to the calling thread. Therefore the statement that  raise(sig) is
> equivalent to kill(getpid(), sig) is false.
>
> -- System Information:
> Debian Release: lenny/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.24-teb8 (PREEMPT)
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages manpages-dev depends on:
> ii  manpages                      2.79-2     Manual pages about using a GNU/Lin
>
> manpages-dev recommends no packages.
>
> -- no debconf information
>
>
>
>



-- 
Michael Kerrisk
Maintainer of the Linux man-pages project
http://www.kernel.org/doc/man-pages/
Want to report a man-pages bug? Look here:
http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Thu, 17 Apr 2008 22:03:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 476484-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 476484-close@bugs.debian.org
Subject: Bug#476484: fixed in manpages 2.80-1
Date: Sat, 07 Jun 2008 21:02:37 +0000
Source: manpages
Source-Version: 2.80-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.80-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.80-1_all.deb
manpages_2.80-1.diff.gz
  to pool/main/m/manpages/manpages_2.80-1.diff.gz
manpages_2.80-1.dsc
  to pool/main/m/manpages/manpages_2.80-1.dsc
manpages_2.80-1_all.deb
  to pool/main/m/manpages/manpages_2.80-1_all.deb
manpages_2.80.orig.tar.gz
  to pool/main/m/manpages/manpages_2.80.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476484@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 22:42:06 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.80-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 421482 467552 476484 476672 477402 479284
Changes: 
 manpages (2.80-1) unstable; urgency=low
 .
   * New upstream version
     . Add getgrouplist(3) to SEE ALSO of getgrent(2) (closes: Bug#479284)
     . Document EEXISTS for rmdir(2) (closes: Bug#467552)
     . Update to sync_file_range(2) (closes: Bug#421482)
     . Remove unnecessary subheading in utime(2) (closes: Bug#477402)
     . Fix declaration of valuep in getsubopt(3) (closes: Bug#476672)
     . Clarify semantics when called from a multithreaded program in
       raise(3) (closes: Bug#476484)
Checksums-Sha1: 
 c7ceec36090e7472f22d2bc9c34933cb75d38252 964 manpages_2.80-1.dsc
 4c87677b117244b0bf346d29fb386f445343d179 1317640 manpages_2.80.orig.tar.gz
 42bf361cca01cf7f5d929cbae0004502c4006e92 51304 manpages_2.80-1.diff.gz
 fe0c0cd9be2a77a9bedbeab29e1d5d08f2a31399 553902 manpages_2.80-1_all.deb
 d6cff52f9c47456598134c7cd584dd6978ebc7d4 1393904 manpages-dev_2.80-1_all.deb
Checksums-Sha256: 
 7cc2effe80c537c7d016c0a75250aa546761a9d1076a2cb4c3baa123602c858b 964 manpages_2.80-1.dsc
 887d9faa3e8bfb79336264c36fe8b65eb852e7b13043cbd66c17ba9ecac8ab55 1317640 manpages_2.80.orig.tar.gz
 e889887d4feee01e56997084849c22101fc791deca24d709586dd94df883b062 51304 manpages_2.80-1.diff.gz
 ef575a3deda4823f50c76edee8da050ada837f74adaf4030eaeb41476f836fd8 553902 manpages_2.80-1_all.deb
 ae04cb913484f94f842d6fb7d9024099b9f9203c4b84bf3f99abf24eb56bba2b 1393904 manpages-dev_2.80-1_all.deb
Files: 
 aa1d101adbc82d6c70070c66ef7a2901 964 doc important manpages_2.80-1.dsc
 1ffb19f639fc105c41fe24ec2308293f 1317640 doc important manpages_2.80.orig.tar.gz
 14718d9a35ecfa70089856e675fbb118 51304 doc important manpages_2.80-1.diff.gz
 fb663a344da9a61ea881d88ef16287a4 553902 doc important manpages_2.80-1_all.deb
 5f8a8ec191f8001a794f587739e8a96e 1393904 doc optional manpages-dev_2.80-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFISvNSW5ql+IAeqTIRAvXKAJ99mlb0ddU6OXn/H+Uy0nuBdPSiPACgskqv
M5aSonBZ6WRvLmJli1hC59k=
=hF0v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Jul 2008 07:34:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:14:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.